/*
 * Copyright 2018-2021 Thingstream AG
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file
 * @brief An interface to communicate over a serial port to the GSM chip
 */
#ifndef INC_GSM_UART_TRANSPORT_H_
#define INC_GSM_UART_TRANSPORT_H_

#include <stdint.h>

#if defined(__cplusplus)
extern "C" {
#endif

#include "thingstream.h"

/**
 * Create a ThingstreamTransport which transfers bytes to/from the GSM chip
 *
 * This ThingstreamTransport does not perform line-buffering on the
 * data sent to the outer transport.
 *
 * @return an instance of ThingstreamTransport
 */
extern ThingstreamTransport* gsm_uart_transport_create(void);
#if defined(__cplusplus)
}
#endif

#endif /* INC_GSM_UART_TRANSPORT_H_ */
