/*
 * Copyright 2021 Thingstream AG
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef INC_PLATFORM_WIFI_H_
#define INC_PLATFORM_WIFI_H_

#if defined(__cplusplus)
extern "C" {
#elif 0
}
#endif

/* Function type for callback for enumerating access points */
typedef void wifi_callback_t(void *cookie, const uint8_t *mac, int32_t strength);

/* Enumerate wifi access points, invoking the callback for each one */
void Platform_enumerate_wifi_ap(void *cookie, wifi_callback_t *callback);

#if defined(__cplusplus)
}
#endif


#endif /* INC_PLATFORM_WIFI_H_ */
